org.apache.cassandra.utils

## Class BoundedStatsDeque

- java.lang.Object
- - org.apache.cassandra.utils.BoundedStatsDeque

- All Implemented Interfaces:
    java.lang.Iterable<java.lang.Double>

      public class BoundedStatsDeque
      extends java.lang.Object
      implements java.lang.Iterable<java.lang.Double>

  bounded threadsafe deque

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BoundedStatsDeque(int size)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(double i)`
    `java.util.Iterator<java.lang.Double>` | `iterator()`
    `double` | `mean()`
    `int` | `size()`
    `double` | `sum()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BoundedStatsDeque

          public BoundedStatsDeque(int size)

  - ### Method Detail

    - #### iterator

          public java.util.Iterator<java.lang.Double> iterator()

      Specified by:
        `iterator` in interface `java.lang.Iterable<java.lang.Double>`

    - #### size

          public int size()

    - #### add

          public void add(double i)

    - #### sum

          public double sum()

    - #### mean

          public double mean()

Copyright © 2014 The Apache Software Foundation